Index: mainpage.dox
===================================================================
--- mainpage.dox	(revision 3)
+++ mainpage.dox	(revision 4)
@@ -23,73 +23,50 @@
 \section toc Table of Contents
 
-<ol>
-  <li>\ref intro "Introduction"</li>
-  <li>\ref getting_started "Getting Started"</li>
-  <ul>
-    <li>\ref hello_lemon "Compile Your First Code"</li>
-    <ul>
-      <li>\ref hello_lemon_system "If LEMON is Installed System-Wide"</li>
-      <li>\ref hello_lemon_user "If LEMON is Installed User-Local"</li>
-      <ul>
-        <li>\ref hello_lemon_pkg_config "Use pkg-config"</li>
-      </ul>
-    </ul>
-  </ul>
-  <li>\ref basic_concepts "Basic Concepts"</li>
-  <ul>
-    <li>\ref digraph_build "Build and Modify a Digraph"</li>
-    <li>\ref digraph_iterate "Iterate Over the Elements"</li>
-    <li>\ref standard_maps "Maps - Assign Data to Graphs"</li>
-    <li>\ref algorithms "Algorithms"</li>
-    <ul>
-      <li>\ref alg_bfs_dfs "BFS, DFS - Graph Search"</li>
-      <li>\ref alg_dijkstra "Dijkstra - Shorthest Path"</li>
-      <li>\ref alg_kruskal "Kruskal - Minimum Spanning Tree"</li>
-    </ul>
-    <li>\ref undir_graphs "Undirected Graphs"</li>
-  </ul>
-  <li>\ref tools "Some Important Auxiliary Tools"</li>
-  <ul>
-    <li>\ref lgf "LEMON Graph Format"</li>
-    <ul>
-      <li>\ref glemon "gLemon - A Graph Editor for LEMON"</li>
-    </ul>
-    <li>\ref graph_to_eps "GraphToEps - Postscript Exporting"</li>
-    <li>\ref time_count "Time Measuring and Counting"</li>
-    <li>\ref random "Random Numbers"</li>
-  </ul>
-  <li>\ref advanced "Advanced Topics"</li>
-  <ul>
-    <li>\ref maps "Maps"</li>
-    <ul>
-      <li>\ref map_concepts "Read/Write/Reference Maps"</li>
-      <li>\ref custom_maps "Custom Maps"</li>
-      <li>\ref map_adaptors "Map Adaptors"</li>
-      <li>\ref special_maps "Other Special Purpose Maps"</li>
-    </ul>
-    <li>\ref graphs "Graphs"</li>
-    <ul>
-      <li>\ref graph_adaptors "Graph Adaptors"</li>
-      <li>\ref special_graphs "Special Graph Structures"</li>
-    </ul>
-    <li>\ref named_params "Named Parameters"</li>
-    <ul>
-      <li>\ref alg_named_params "Customizing Algorithms"</li>
-    </ul>
-  </ul>
-  <li>\ref lp "LP and MIP Solvers"</li>
-  <li>\ref appendix "Appendix"</li>
-  <ul>
-    <li>\ref install "Install LEMON"</li>
-    <ul>
-      <li>\ref install_system "Install System Wide"</li>
-      <ul>
-        <li>\ref install_system_source "From Source"</li>
-        <li>\ref install_system_rpm "From rpm"</li>
-      </ul>
-      <li>\ref install_user "Install Locally to the User"</li>
-    </ul>
-  </ul>
-</ol>
+ - \ref intro
+ - \ref getting_started
+   - \ref requirements_lemon
+     - \ref requirements_lp
+   - \ref download_lemon
+   - \ref install_lemon
+   - \ref hg_checkout
+   - \ref hg_compile
+   - \ref hello_lemon
+     - \ref hello_lemon_system
+     - \ref hello_lemon_user
+ - \ref basic_concepts "Basic Concepts"
+   - \ref digraph_build "Build and Modify a Digraph"
+   - \ref digraph_iterate "Iterate Over the Elements"
+   - \ref standard_maps "Maps - Assign Data to Graphs"
+   - \ref algorithms "Algorithms"
+     - \ref alg_bfs_dfs "BFS, DFS - Graph Search"
+     - \ref alg_dijkstra "Dijkstra - Shorthest Path"
+     - \ref alg_kruskal "Kruskal - Minimum Spanning Tree"
+   - \ref undir_graphs "Undirected Graphs"
+ - \ref tools "Some Important Auxiliary Tools"
+   - \ref lgf "LEMON Graph Format"
+     - \ref glemon "gLemon - A Graph Editor for LEMON"
+   - \ref graph_to_eps "GraphToEps - Postscript Exporting"
+   - \ref time_count "Time Measuring and Counting"
+   - \ref random "Random Numbers"
+ - \ref advanced "Advanced Topics"
+   - \ref maps "Maps"
+     - \ref map_concepts "Read/Write/Reference Maps"
+     - \ref custom_maps "Custom Maps"
+     - \ref map_adaptors "Map Adaptors"
+     - \ref special_maps "Other Special Purpose Maps"
+   - \ref graphs "Graphs"
+     - \ref graph_adaptors "Graph Adaptors"
+     - \ref special_graphs "Special Graph Structures"
+   - \ref named_params "Named Parameters"
+     - \ref alg_named_params "Customizing Algorithms"
+ - \ref lp "LP and MIP Solvers"
+   - \ref lp_examples "Simple Examples"
+   - \ref lp_maxflow "Maximum Flow as LP Problem"
+ - \ref appendix "Appendix"
+   - \ref install "Install LEMON"
+     - \ref install_system "Install System Wide"
+       - \ref install_system_source "From Source"
+       - \ref install_system_rpm "From rpm"
+     - \ref install_user "Install Locally to the User"
 
 */
